apiVersion: v1
kind: Namespace
metadata:
 name: redhat-dbaas-operator

---
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: addon-dbaas-operator-catalog
  namespace: redhat-dbaas-operator
spec:
  sourceType: grpc
  image: quay.io/osd-addons/dbaas-operator-index@sha256:13a0ef3482b39fe866f4f145faa56b716921a568e27c555590ea315cfb2c18c7
  displayName: Red Hat OpenShift Database Access

---
apiVersion: operators.coreos.com/v1
kind: OperatorGroup
metadata:
  name: redhat-layered-product-og
  namespace: redhat-dbaas-operator

---
apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  name: addon-dbaas-operator
  namespace: redhat-dbaas-operator
spec:
  channel: alpha
  installPlanApproval: Automatic
  name: dbaas-operator
  source: addon-dbaas-operator-catalog
  sourceNamespace: redhat-dbaas-operator
  config:
    env:
      - name: ADDON_NAME
        value: dbaas-operator-dev
      - name: RHOBS_AUTH_TYPE
        value: dex
      - name: RHOBS_API_URL
        value: https://observatorium-observatorium.apps.mmikhail-obs1.kni.syseng.devcluster.openshift.com/api/metrics/v1/test2/api/v1/receive
  startingCSV: dbaas-operator.v0.3.0